Install The 1.7.10 Pack

Step 1

Installing a modpack using the Technic Launcher is easy. If you don't already have the launcher downloaded, visit our download page to get the latest version.

Step 2

Type in the modpack name (The 1.7.10 Pack) or paste the following url into the search box.

Step 3

Finally, click Install at the bottom right of the launcher after you select The 1.7.10 Pack from the list on the left. The launcher will handle everything else!

The 1.7.10 Pack Version 0.9.8c

created by Hi it's me on Minecraft Version 1.7.10 using Technic Solder
Hey guys, a pretty serious message here, please read: http://pastebin.com/F4mT928E
Hi it's me posted a status update for The 1.7.10 Pack 4 years ago

Comments

You must be logged in to comment. Click here to register a new account or log in.
This surely is a april fools prank right?
Posted by GhostPlayHQ 4 years ago
well love the mod pack
Posted by jjpfresh12 4 years ago
ahahahahaha
Posted by TardMonkey585 4 years ago
[quack] I am sorry for your loss.[/quack]
Posted by Aqualung 4 years ago
Sorry for your loss but I'm right in the middle of buying out Yogscast because my fuzzy duck slippers told me too.
Posted by dagwood64 4 years ago
Brilliant
Posted by Elyzien 4 years ago
"Paste has been removed."
Posted by Pikachu298 4 years ago
It has been removed but sorry for you loss, But you will away's be an amzing coder! Much love -coltscraft
Posted by coltscraft 4 years ago
For everyone that was not 100% sure, april fools. Yup.
Posted by Hi it's me 4 years ago
What was the joke? I only just found it.
Posted by MythicalBlue 4 years ago
You have been late! Removed the pastebin. It's not april 1st anymore :P
Posted by Hi it's me 4 years ago
I cant use the pack. Any ideas why?
Posted by turtle_derp 4 years ago
Go to the "HELP" Section and we'll help you :)
Posted by Hi it's me 4 years ago
i cant get the modpack to work HELP HI ITS ME
Posted by pixelpreds 4 years ago
yeah same, try changing the version of the modpack to the recommended version
Posted by gtakingg 4 years ago
my pack wont work when it goes to start it just fails and go's back to the laucher
Posted by D3rpm4n456 4 years ago
Please go to the "HELP" Section to get help :)
Posted by Hi it's me 4 years ago
my pack wont work when it goes to start it just fails and go's back to the launcher
Posted by D3rpm4n456 4 years ago
help plz
Posted by D3rpm4n456 4 years ago
add ars magia 2 PLZ
Posted by BROxTORTILLA 4 years ago

Latest Update

If you suffered from crashing after updating to v0.9.8c, please reinstall the modpack now as this will revert the LumySkinPatch mod to its older version. That should fix your issue!